//+------------------------------------------------------------------+
//|                                                   Wave angle.mq4 |
//|                      Copyright  2006, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Copyright T1000"
#property link      "http://www.metaquotes.net"

#property indicator_chart_window
extern int       HighLowPeriod=350;
extern int       PriceShift=0;
extern double    TrendFactor=0.38197;

int start()
  {      
     int MaxPriceBar=0;
     int MinPriceBar=0;
     double MaxPrice=0;
     double MinPrice=0;
     int WaveAngle=0;
     MaxPriceBar = Highest (NULL,0,MODE_HIGH,HighLowPeriod,1);
     MinPriceBar = Lowest (NULL,0,MODE_LOW,HighLowPeriod,1);
     MaxPrice = High[MaxPriceBar];
     MinPrice = Low[MinPriceBar];
   
    //additional conditions for WaveAngle goes here

   if (MinPriceBar < MaxPriceBar)
    // Counting UP
   {
   if (WaveAngle == 0) 
   {
   if ((Time[PriceShift] - Time[MinPriceBar]) < (Time[PriceShift] - Time[MaxPriceBar]) * TrendFactor) WaveAngle = 2; // Possible DOWN trend  
   if ((Time[PriceShift] - Time[MinPriceBar]) >= (Time[PriceShift] - Time[MaxPriceBar]) * TrendFactor) WaveAngle = 3; // Possible trend end
   }
   }
   else
   {
   if (WaveAngle == 0) 
   {
   if ((Time[PriceShift] - Time[MaxPriceBar]) < (Time[PriceShift] - Time[MinPriceBar]) * TrendFactor) WaveAngle = 1; // Possible UP trend    
   if ((Time[PriceShift] - Time[MaxPriceBar]) >= (Time[PriceShift] - Time[MinPriceBar]) * TrendFactor) WaveAngle = 4; // Possible trend end
   //if (Symbol() == "EURUSD") Print("WaveAngle:",WaveAngle, " MaxPriceBar:",MaxPriceBar," MinPriceBar:",MinPriceBar," (MinPriceBar - PriceShift) * TrendFactor:", MathRound((MinPriceBar - PriceShift) * TrendFactor));
   }
   }

 Comment("WaveAngle:",WaveAngle);
}




